CGAL 6.1.2 - 3D Triangulations: CGAL::Regular_triangulation_cell_base_3< Traits, Cb > Class Template Reference

CGAL 6.1.2 - 3D Triangulations

Loading...
Searching...
No Matches
List of all members
CGAL::Regular_triangulation_cell_base_3< Traits, Cb > Class Template Reference
Reference Manual » Vertex and Cell Classes

`#include <CGAL/Regular_triangulation_cell_base_3.h>`

## Inherits from

Cb.

## Definition

template<typename Traits, typename Cb>
class CGAL::Regular_triangulation_cell_base_3< Traits, Cb >

The class `Regular_triangulation_cell_base_3` derives from `Cb`, a cell base class of a 3D triangulation.

It is the default cell base class of regular triangulations.

Template Parameters

  Traits | is the geometric traits class. It must be a model of `RegularTriangulationTraits_3`.
  Cb | is a cell base class from which `Regular_triangulation_cell_base_3` derives. It must be a model of `TriangulationCellBase_3`. By default, this parameter is instantiated by `Triangulation_cell_base_3<Traits>`.

Is model of
  `RegularTriangulationCellBase_3`

See also
  `RegularTriangulationCellBase_3`
  `CGAL::Regular_triangulation_3`
  `CGAL::Regular_triangulation_cell_base_with_weighted_circumcenter_3`

Examples
  Triangulation_3/parallel_insertion_and_removal_in_regular_3.cpp, and Triangulation_3/regular_with_info_3.cpp.

## Types
typedef Traits::Point_3 | Point_3
typedef Traits::Weighted_point_3 | Point
typedef std::list< Point > | Point_container
typedef Point_container::iterator | Point_iterator

## Hidden points-related functions
Not every weighted point inserted in a regular triangulation necessarily appears in the triangulation. If the weight of a point is too small compared to other points, it might be hidden. These hidden vertices are stored in a unique corresponding cell (defined through v->cell()). The following functions provide set and get functionalities.
Point_iterator | hidden_points_begin ()
| Returns an iterator pointing to the first hidden point.
Point_iterator | hidden_points_end ()
| Returns a past-the-end iterator.
void | hide_point (const Point &p)
| Adds `p` to the set of hidden points of the cell.
Point_3 | weighted_circumcenter (const Traits &gt=Traits()) const
| Returns the weighted circumcenter of the cell.

## Member Function Documentation

## ◆ weighted_circumcenter()

template<typename Traits , typename Cb >

Point_3 CGAL::Regular_triangulation_cell_base_3< Traits, Cb >::weighted_circumcenter | ( | const Traits & | gt = `Traits()` | ) | const

Returns the weighted circumcenter of the cell.

Be careful that the return type is `Point_3`, and the radius of the weighted circumcenter is not supposed to be computed by the constructor `Construct_weighted_circumcenter_3` of the traits class, hence the returned point has no weight.